# IRsUVEMeshRenderData Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | SetViewportData ([in] RtUVcoord panning,[in] RtFloat zoom,[in] RtFloat aspect)
HRESULT | BuildFromMesh ([in] IRdMesh *pMesh,[in] IUnknown *pDeviceUnk,[in] ReUVTriangulationRenderMode eRenderMode,[in] RtDWORD dwWireColor,[in] RtDWORD dwActiveUV,[in] RtDWORD dwMaterialIndex,[in] RtBool bRebuildTransparency)
HRESULT | Render ([in] IUnknown *pDeviceUnk)
HRESULT | IsEmpty ([out, retval] RtBool *pbEmpty)

## Detailed Description

Cache data for rendering mesh UV mapping.

- Contains one or more smaller vertex buffer to support rendering of meshes which are larger than maximum DirectX vertex buffer.
- Also contains supplementary data about edges transparency, neighborhood and patch identification.

## Member Function Documentation

HRESULT IRsUVEMeshRenderData::SetViewportData | ( | [in] RtUVcoord | panning,
|  | [in] RtFloat | zoom,
|  | [in] RtFloat | aspect |
| ) |  |  |

Sets the viewport data for rendering.

Parameters:

  | panning | [in] Set panning value.
  | zoom | [in] Set zoom value.
  | aspect | [in] Set aspect.

HRESULT IRsUVEMeshRenderData::BuildFromMesh | ( | [in] IRdMesh * | pMesh,
|  | [in] IUnknown * | pDeviceUnk,
|  | [in] ReUVTriangulationRenderMode | eRenderMode,
|  | [in] RtDWORD | dwWireColor,
|  | [in] RtDWORD | dwActiveUV,
|  | [in] RtDWORD | dwMaterialIndex,
|  | [in] RtBool | bRebuildTransparency |
| ) |  |  |

Constructs vertex buffers from specified mesh.

Parameters:

  | pMesh | [in] Source mesh.
  | pDeviceUnk | [in] Pointer to DirectX device.
  | eRenderMode | [in] Current edge render mode gained from UVE preferences.
  | dwWireColor | [in] Color of UV mapping without transparency information.
  | dwActiveSet | [in] Active UV set (0 or 1).
  | dwMaterialIndex | [in] Current material index (0xFFFFFFFF if no material defined or all materials are displayed). Used only for filtering UV triangles currently displayed.
  | bRebuildTransparency | [in] When true, transparency information is rebuilt (i.e. mesh topology has changed since last render).

HRESULT IRsUVEMeshRenderData::Render | ( | [in] IUnknown * | pDeviceUnk | ) |

Renders mesh vertex buffers on specified device.

Parameters:

  | pDeviceUnk | [in] Render mesh to specified DirectX device.

HRESULT IRsUVEMeshRenderData::IsEmpty | ( | [out, retval] RtBool * | pbEmpty | ) |

Returns true if there are no vertices in vertex buffers (e.g. built from empty mesh).

Returns:
  pbEmpty [out,retval] Returns state of vertex buffers.